Uploaded image for project: 'Ambari (Retired)'
  1. Ambari (Retired)
  2. AMBARI-25683 Releasing Ambari 2.7.6
  3. AMBARI-25693

Ambari Admin View failed to build due to PhantomJS

    XMLWordPrintableJSON

Details

    • Sub-task
    • Status: Resolved
    • Major
    • Resolution: Fixed
    • None
    • None
    • None
    • None

    Description

      PhantomJS constantly breaks the build of ambari-admin-view.

      A possible solution could be to switch to using yarn instead of npm in this project as well, similar to ambari-web.

      [INFO] PhantomJS not found on PATH
      [INFO] Download already available at /tmp/phantomjs/phantomjs-2.1.1-linux-x86_64.tar.bz2
      [INFO] Verified checksum of previously downloaded file
      [INFO] Extracting tar contents (via spawned process)
      [INFO] Removing /root/ambari-build/ambari/ambari-admin/src/main/resources/ui/admin-web/node_modules/phantomjs/lib/phantom
      [INFO] Copying extracted folder /tmp/phantomjs/phantomjs-2.1.1-linux-x86_64.tar.bz2-extract-1635236211665/phantomjs-2.1.1-linux-x86_64 -> /root/ambari-build/ambari/ambari-admin/src/main/resources/ui/admin-web/node_modules/phantomjs/lib/phantom
      [INFO] Install exited unexpectedly
      [ERROR] npm ERR! Linux 4.4.0-142-generic
      [ERROR] npm ERR! argv "/root/ambari-build/ambari/ambari-admin/src/main/resources/ui/admin-web/node/node" "/root/ambari-build/ambari/ambari-admin/src/main/resources/ui/admin-web/node/node_modules/npm/bin/npm-cli.js" "install" "--unsafe-perm"
      [ERROR] npm ERR! node v4.5.0
      [ERROR] npm ERR! npm  v2.15.0
      [ERROR] npm ERR! code ELIFECYCLE
      [ERROR]
      [ERROR] npm ERR! phantomjs-prebuilt@2.1.16 install: `node install.js`
      [ERROR] npm ERR! Exit status 1
      [ERROR] npm ERR!
      [ERROR] npm ERR! Failed at the phantomjs-prebuilt@2.1.16 install script 'node install.js'.
      [ERROR] npm ERR! This is most likely a problem with the phantomjs-prebuilt package,
      [ERROR] npm ERR! not with npm itself.
      [ERROR] npm ERR! Tell the author that this fails on your system:
      [ERROR] npm ERR!     node install.js
      [ERROR] npm ERR! You can get information on how to open an issue for this project with:
      [ERROR] npm ERR!     npm bugs phantomjs-prebuilt
      [ERROR] npm ERR! Or if that isn't available, you can get their info via:
      [ERROR] npm ERR!
      [ERROR] npm ERR!     npm owner ls phantomjs-prebuilt
      [ERROR] npm ERR! There is likely additional logging output above.
      [ERROR]
      [ERROR] npm ERR! Please include the following file with any support request:
      [ERROR] npm ERR!     /root/ambari-build/ambari/ambari-admin/src/main/resources/ui/admin-web/npm-debug.log
      

      Attachments

        Issue Links

          Activity

            People

              sziszo Szilárd Antal
              sziszo Szilárd Antal
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:

                Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0h
                  0h
                  Logged:
                  Time Spent - 2.5h
                  2.5h